<div class="card shadow mb-5">
    <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
        <h6 class="m-0 font-weight-bold text-info">Carousel</h6>
    </div>
    <div class="card-body">
        <form action="{% url 'profile:admin_setting_carousel' %}" method="POST" class="form-inline mb-3">
            {% csrf_token %}
            <input type="hidden" name="jenis" value="content">
            <input type="hidden" id="is_carousel" value="{{is_carousel.keterangan|lower}}">

            <div class="input-group">
                <div class="input-group-prepend">
                    <span class="input-group-text">Carousel Ditampilkan</span>
                    <div class="input-group-text">
                        <div class="form-check form-check-inline">
                            <input class="form-check-input" type="radio" name="is_carousel" id="id_true" value="True">
                            <label class="form-check-label" for="id_true">Carousel Slide</label>
                        </div>
                        <div class="form-check form-check-inline">
                            <input class="form-check-input" type="radio" name="is_carousel" id="id_false" value="False">
                            <label class="form-check-label" for="id_false">Banner Video</label>
                        </div>
                    </div>
                </div>
                <div class="input-group-append">
                    <button class="btn btn-success" type="submit"><i class="bi bi-save"></i> Simpan</button>
                </div>
            </div>

            <div class="form-group mx-sm-6 ml-5 mr-2">
                <a href="{% url 'profile:admin_setting_create_carousel' jenis='slide' %}" class="btn btn-info" >
                    <i class="bi bi-plus"></i> Tambah Carousel</a>
            </div>
            <div class="form-group mx-sm-6 mr-3">
                <a href="{% url 'profile:admin_setting_create_carousel' jenis='video' %}" class="btn btn-primary" >
                    <i class="bi bi-upload"></i> Upload Video</a>
            </div>
            
        </form>

        <div class="row">
            {% for carousel in carousels %}
                <div class="col-md-3 mb-2">
                    <div class="bg-white rounded shadow-sm">
                        {% if carousel.foto != '' %}
                            <img src="{{ carousel.foto.url }}" alt="" class="img-fluid card-img-top">
                            {% if carousel.deleted_at %}
                                <div class="img-bagss">
                                    <div class="tag-bln">Diarsipkan</div>
                                </div>
                            {% endif %}
                        {% endif %}
                        <div class="p-4">
                            <p class="mb-0">{{ carousel.judul }}</p>
                            <div class="d-flex align-items-center justify-content-center px-3 py-2 mt-4">
                                <a href="{% url 'profile:admin_setting_edit_carousel' id=carousel.id %}">
                                    <button class="btn btn-success btn-circle pass-data-ubah mr-3 mb-2">
                                        <i class="bi bi-pencil"></i>
                                    </button>
                                </a>
                                
                                {% if carousel.deleted_at %}
                                    <button class="btn btn-success btn-circle mr-3 mb-2" 
                                        onclick="restore_('Carousel ini', '{{ carousel.id }}', 'carousel', 'Carousel')"
                                        data-toggle="tooltip" data-placement="top" title="Tampilkan">
                                        <i class="bi bi-arrow-counterclockwise"></i>
                                    </button>
                                    {% if user.is_staff %}
                                        <button href="#" class="btn btn-danger btn-circle mr-3 mb-2 " 
                                            onclick="delete_('permanent_delete', 'Carousel ini', '{{ carousel.id }}', 'carousel', 'Carousel')"
                                            data-toggle="tooltip" data-placement="top" title="Hapus Permanen">
                                            <i class="bi bi-trash"></i>
                                        </button>
                                    {% endif %}
                                {% else %}
                                    <button href="#" class="btn btn-danger btn-circle mr-3 mb-2" 
                                        onclick="delete_('soft_delete', 'Carousel ini', '{{ carousel.id }}', 'carousel', 'Carousel')"
                                        data-toggle="tooltip" data-placement="top" title="Arsipkan">
                                        <i class="bi bi-archive"></i>
                                    </button>
                                {% endif %}
                            </div>
                        </div>
                    </div>
                </div>
            {% endfor %}
        </div>
    </div>
</div>

{% if request.user.is_staff and archives %}
    <div class="card shadow mb-5">
        <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
            <h6 class="m-0 font-weight-bold text-info">Arsip Carousel</h6>
            <div class="dropdown no-arrow">
                <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                    <i class="fas fa-ellipsis-v fa-sm fa-fw text-gray-400"></i>
                </a>
            </div>
        </div>
        <div class="card-body">
            <div class="row">
                {% for archive in archives %}
                    <div class="col-md-3 mb-2">
                        <div class="bg-white rounded shadow-sm h-100">
                            {% if archive.thumbnail != '' %}
                                <img src="{{ archive.foto.url }}" alt="" class="img-fluid card-img-top">
                                {% if archive.deleted_at %}
                                    <div class="img-bagss">
                                        <div class="tag-bln">Diarsipkan</div>
                                    </div>
                                {% endif %}
                            {% endif %}
                            <div class="p-2">
                                <h5>{{ archive.judul | truncatewords:8 }}</h5>
                                <div class="d-flex align-items-center justify-content-center px-3 py-2 mt-2">
                                    <a class="btn btn-success btn-circle mr-3 mb-2" 
                                        href="{% url 'profile:admin_setting_edit_carousel' id=archive.id %}"
                                        data-toggle="tooltip" data-placement="top" title="Edit">
                                        <i class="bi bi-pencil"></i>
                                    </a>
                                    {% if archive.deleted_at %}
                                        <button class="btn btn-success btn-circle mr-3 mb-2" 
                                            onclick="restore_('Carousel ini', '{{ archive.id }}', 'carousel', 'Carousel')"
                                            data-toggle="tooltip" data-placement="top" title="Tampilkan">
                                            <i class="bi bi-arrow-counterclockwise"></i>
                                        </button>
                                        {% if user.is_staff %}
                                            <button href="#" class="btn btn-danger btn-circle mr-3 mb-2 " 
                                                onclick="delete_('permanent_delete', 'Carousel ini', '{{ archive.id }}', 'carousel', 'Carousel')"
                                                data-toggle="tooltip" data-placement="top" title="Hapus Permanen">
                                                <i class="bi bi-trash"></i>
                                            </button>
                                        {% endif %}
                                    {% else %}
                                        <button href="#" class="btn btn-danger btn-circle mr-3 mb-2 " 
                                            onclick="delete_('permanent_delete', 'Carousel ini', '{{ archive.id }}', 'carousel', 'Carousel')"
                                            data-toggle="tooltip" data-placement="top" title="Hapus Permanen">
                                            <i class="bi bi-trash"></i>
                                        </button>
                                    {% endif %}
                                </div>
                            </div>
                        </div>
                    </div>
                {% endfor %}
            </div>
        </div>
    </div>
    {% endif %}
